<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

<h:head>
    <title>Global Agenda</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>
<h:body>
    <h1>Global Agenda</h1>
    <div class="card">
        <h:form>
            <p:growl id="messages" showDetail="true"/>

            <p:schedule id="schedule" value="#{scheduleController.eventModel}" widgetVar="myschedule">
                <p:ajax event="dateSelect" listener="#{scheduleController.onDateSelect}" update="eventDetails"
                        oncomplete="PF('eventDialog').show();"/>
                <p:ajax event="eventSelect" listener="#{scheduleController.onEventSelect}" update="eventDetails"
                        oncomplete="PF('eventDialog').show();"/>
                <p:ajax event="eventMove" listener="#{scheduleController.onEventMove}" update="messages"/>
                <p:ajax event="eventResize" listener="#{scheduleController.onEventResize}" update="messages"/>
            </p:schedule>

            <p:dialog widgetVar="eventDialog" header="Event Details" showEffect="fade" hideEffect="fade">
                <h:panelGrid id="eventDetails" columns="2" cellpadding="7">
                    <p:outputLabel for="title" value="Titles" styleClass="p-text-bold"/>
                    <p:inputText id="title" value="#{scheduleController.event.title}" required="true"/>

                    <p:outputLabel for="from" value="From" styleClass="p-text-bold"/>
                    <p:datePicker id="from" value="#{scheduleController.event.startDate}" pattern="yyyy-MM-dd"
                                  showTime="true" appendTo="@(body)"/>

                    <p:outputLabel for="to" value="To" styleClass="p-text-bold"/>
                    <p:datePicker id="to" value="#{scheduleController.event.endDate}" pattern="yyyy-MM-dd"
                                  showTime="true" appendTo="@(body)"/>

                    <p:outputLabel for="allDay" value="All Day" styleClass="p-text-bold"/>
                    <h:selectBooleanCheckbox id="allDay" value="#{scheduleController.event.allDay}"/>
                </h:panelGrid>

                <div class="p-d-flex p-jc-between p-mt-3">
                    <p:commandButton type="reset" value="Reset" styleClass="p-text-bold ui-button-outlined"/>
                    <p:commandButton id="addButton" value="Save" action="#{scheduleController.addEvent}"
                                     oncomplete="PF('myschedule').update();PF('eventDialog').hide();"/>
                </div>
            </p:dialog>
        </h:form>
    </div>
</h:body>
</html>
